module Xen
  class VIF < Base

    @initial_config = {
      :device => "eth0",
      :MTU => "1500"
    }

    # Creates a new VIF in a vm. The mac address is spelled out, with colons in between
    def self.create(vm, network, mac, host)
      o = @initial_config.merge({:VM => vm.uuid,
                                 :network => network.uuid,
                                 :MAC => mac
                                })
      uuid = host.get_value("VIF.create", o)
      self.new(uuid, host)
    end
  end
end