#!/usr/bin/ruby

# Scotty TNG - ping/snmp based realtime network monitoring
#
# $Id: scotty2xmpp.rb 95 2008-09-30 10:38:37Z liske $
#
# Authors:
#   Thomas Liske <liske@ibh.de>
#   Andre Ellguth <ellguth@ibh.de>
#
# Copyright Holder:
#   2008 (C) IBH IT-Service GmbH [http://www.ibh.de/]
#
# License:
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this package; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#

require 'xmpp4r/client'
include Jabber

#Jabber::debug = true

class Scotty2XMPP
  def initialize
    quit = false

    do_connect("")
    do_auth("")
    @cl.send(Presence.new.set_type(:dnd))
  end

  def do_connect(jid)
    @jid = JID.new(jid)
    @cl = Client.new(@jid)
    @cl.connect
  end

  ##
  # auth
  def do_auth(password)
    @cl.auth(password)
  end
end

Scotty2XMPP.new
