#!/usr/bin/ruby -w

# Scotty TNG - ping/snmp based realtime network monitoring
#
# $Id: dumpts.rb 69 2008-09-21 17:51:23Z liske $
#
# Authors:
#   Thomas Liske <liske@ibh.de>
#   Andre Ellguth <ellguth@ibh.de>
#
# Copyright Holder:
#   2008 (C) IBH IT-Service GmbH [http://www.ibh.de/apt-dater/]
#
# License:
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this package; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
# Small debug script dumping the content of a tuple space.
#

require 'drb'
require 'drbfire.rb'
require 'rinda/ring'

len = $*.shift.to_i

len = 4 unless len > 0

## Connect to tuple space
uri = "drbfire://sisyphos.ibh:17120"
DRb.start_service uri, nil, {DRbFire::ROLE => DRbFire::CLIENT}

ts = Rinda::TupleSpaceProxy.new(DRbObject.new_with_uri(uri))

t = ts.read_all([nil,nil,nil,nil])
p t
t.each{|r|
    p r
}
