# Scotty TNG - ping/snmp based realtime network monitoring
#
# $Id$
#
# Authors:
#   Thomas Liske <liske@ibh.de>
#   Andre Ellguth <ellguth@ibh.de>
#
# Copyright Holder:
#   2008 (C) IBH IT-Service GmbH [http://www.ibh.de/]
#
# License:
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this package; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#

require 'xen/base.rb'
require 'xen/connection.rb'
require 'xen/host.rb'
require 'xen/vm.rb'
require 'xen/network.rb'
require 'xen/sr.rb'
require 'xen/vdi.rb'
require 'xen/vbd.rb'
require 'xen/console.rb'
require 'xen/vif.rb'

module Sensors

  # This class monitors XenServer hosts.
  class XEN < Sensor
  end
end
