module Xen
  class Console < Base

    # The initial config for a new VDI device
    @initial_config = {
        :protocol => 'rfb'
    }
  
    # Create method, takes a name, a device (p.ex. 'phy:/dev/storage/slice') and a host
    def self.create(vm, host)
      config = @initial_config.merge({:VM => vm.uuid})
      uuid = host.get_value("console.create", config)
      self.new(uuid, host)
    end
  end
end